What are the recommended and minimum device specifications to play Doctor Who: Lost in Time?

We recommend playing Doctor Who: Lost in Time on Android 6.0 and iOS 11.00 devices.

Have more questions? Submit a ticket